Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
24.07.2021, 23:17:54

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 25776
  • Letzte: joba48
Statistiken
  • Beiträge insgesamt: 746689
  • Themen insgesamt: 60054
  • Heute online: 375
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online

Autor Thema:  Xbox One Wireless Controller installieren  (Gelesen 1569 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Re: Xbox One Wireless Controller installieren
« Antwort #30 am: 18.05.2021, 19:38:45 »
Nach dem Neustart:
apt install build-essential
[sudo] Passwort für kosake:       
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden zusätzlichen Pakete werden installiert:
  g++ g++-9 libc-dev-bin libc6-dev libcrypt-dev libstdc++-9-dev
Vorgeschlagene Pakete:
  g++-multilib g++-9-multilib gcc-9-doc glibc-doc libstdc++-9-doc
Die folgenden NEUEN Pakete werden installiert:
  build-essential g++ g++-9 libc-dev-bin libc6-dev libcrypt-dev
  libstdc++-9-dev
0 aktualisiert, 7 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
Es müssen 12,8 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 67,1 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] J
Holen:1 http://ftp.uni-mainz.de/ubuntu focal-updates/main amd64 libc-dev-bin amd64 2.31-0ubuntu9.2 [71,8 kB]
Holen:2 http://ftp.uni-mainz.de/ubuntu focal/main amd64 libcrypt-dev amd64 1:4.4.10-10ubuntu4 [104 kB]
Holen:3 http://ftp.uni-mainz.de/ubuntu focal-updates/main amd64 libc6-dev amd64 2.31-0ubuntu9.2 [2.520 kB]
Holen:4 http://ftp.uni-mainz.de/ubuntu focal-updates/main amd64 libstdc++-9-dev amd64 9.3.0-17ubuntu1~20.04 [1.714 kB]
Holen:5 http://ftp.uni-mainz.de/ubuntu focal-updates/main amd64 g++-9 amd64 9.3.0-17ubuntu1~20.04 [8.405 kB]
Holen:6 http://ftp.uni-mainz.de/ubuntu focal/main amd64 g++ amd64 4:9.3.0-1ubuntu2 [1.604 B]
Holen:7 http://ftp.uni-mainz.de/ubuntu focal-updates/main amd64 build-essential amd64 12.8ubuntu1.1 [4.664 B]
Es wurden 12,8 MB in 1 s geholt (17,9 MB/s).
Vormals nicht ausgewähltes Paket libc-dev-bin wird gewählt.
(Lese Datenbank ... 381954 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../0-libc-dev-bin_2.31-0ubuntu9.2_amd64.deb ...
Entpacken von libc-dev-bin (2.31-0ubuntu9.2) ...
Vormals nicht ausgewähltes Paket libcrypt-dev:amd64 wird gewählt.
Vorbereitung zum Entpacken von .../1-libcrypt-dev_1%3a4.4.10-10ubuntu4_amd64.deb
 ...
Entpacken von libcrypt-dev:amd64 (1:4.4.10-10ubuntu4) ...
Vormals nicht ausgewähltes Paket libc6-dev:amd64 wird gewählt.
Vorbereitung zum Entpacken von .../2-libc6-dev_2.31-0ubuntu9.2_amd64.deb ...
Entpacken von libc6-dev:amd64 (2.31-0ubuntu9.2) ...
Vormals nicht ausgewähltes Paket libstdc++-9-dev:amd64 wird gewählt.
Vorbereitung zum Entpacken von .../3-libstdc++-9-dev_9.3.0-17ubuntu1~20.04_amd64
.deb ...
Entpacken von libstdc++-9-dev:amd64 (9.3.0-17ubuntu1~20.04) ...
Vormals nicht ausgewähltes Paket g++-9 wird gewählt.
Vorbereitung zum Entpacken von .../4-g++-9_9.3.0-17ubuntu1~20.04_amd64.deb ...
Entpacken von g++-9 (9.3.0-17ubuntu1~20.04) ...
Vormals nicht ausgewähltes Paket g++ wird gewählt.
Vorbereitung zum Entpacken von .../5-g++_4%3a9.3.0-1ubuntu2_amd64.deb ...
Entpacken von g++ (4:9.3.0-1ubuntu2) ...
Vormals nicht ausgewähltes Paket build-essential wird gewählt.
Vorbereitung zum Entpacken von .../6-build-essential_12.8ubuntu1.1_amd64.deb ...
Entpacken von build-essential (12.8ubuntu1.1) ...
libcrypt-dev:amd64 (1:4.4.10-10ubuntu4) wird eingerichtet ...
libc-dev-bin (2.31-0ubuntu9.2) wird eingerichtet ...
libc6-dev:amd64 (2.31-0ubuntu9.2) wird eingerichtet ...
libstdc++-9-dev:amd64 (9.3.0-17ubuntu1~20.04) wird eingerichtet ...
g++-9 (9.3.0-17ubuntu1~20.04) wird eingerichtet ...
g++ (4:9.3.0-1ubuntu2) wird eingerichtet ...
update-alternatives: /usr/bin/g++ wird verwendet, um /usr/bin/c++ (c++) im autom
atischen Modus bereitzustellen
build-essential (12.8ubuntu1.1) wird eingerichtet ...
Trigger für man-db (2.9.1-1) werden verarbeitet ...

Re: Xbox One Wireless Controller installieren
« Antwort #31 am: 18.05.2021, 19:43:04 »
Das sieht gut aus, dann müsstest du bei Antwort #6 Dependencies installieren neu einsteigen können. Da bin ich dann raus, wenn es um den Xbox Controller geht.

Re: Xbox One Wireless Controller installieren
« Antwort #32 am: 18.05.2021, 19:52:09 »
Funktioniert! Der Controller connectet und es gab keine Fehlermeldungen mehr :-*

Kannst du das für Doofe erklären, woran das jetzt alles lag? Ich hab ehrlich gesagt nicht viel verstanden.

Re: Xbox One Wireless Controller installieren
« Antwort #33 am: 18.05.2021, 20:03:15 »
Das hatte jetzt nichts mit Xbox Controller zu tun.
Kurzzeitig wurde libc6 in der Version 2.31-0ubuntu9.3 offiziell in den Paketquellen ausgeliefert. Die Version hattest du gewöhnlich über Aktualisierung installiert (ich übrigens auch). Die Version wurde dann einfach wieder aus den Paketquellen entfernt. Das sorgte jetzt für Probleme / falsche / nicht auflösbare Abhängigkeiten bei der Installation von build-essential. Du hast jetzt auf die Version auf 2.31-0ubuntu9.2 downgegraded. Das ist jetzt aktuell (wieder) die neueste Version in den Paketquellen. Vor dem Downgrade musste ich nur prüfen / sicherstellen, dass wir damit nicht dein System unbrauchbar machen. Jetzt ist aber alles OK - kannst du gerne noch einmal checken:
apt clean
apt update
apt upgrade

Edit:
Beim Downgrade muss man gleichzeitig alles erwischen, was da auf dem jeweiligen System an libc Paketen installiert ist. Kannst du jetzt auch noch einmal prüfen:
dpkg -l libc6* locales*
« Letzte Änderung: 18.05.2021, 20:11:43 von pinky »

Re: Xbox One Wireless Controller installieren
« Antwort #34 am: 19.05.2021, 20:00:29 »
Danke für deine Ausführungen! Dann konnte ich ja doch einigermaßen folgen.
Solche Erklärungen sind immer sehr hilfreich, so erweitert man Stück für Stück sein Wissen rund um LM.

apt update
OK:1 http://ftp.uni-mainz.de/ubuntu focal InRelease                           
OK:2 http://archive.canonical.com/ubuntu focal InRelease                       
Holen:3 http://ftp.uni-mainz.de/ubuntu focal-updates InRelease [114 kB]       
OK:4 http://ppa.launchpad.net/rael-gc/ubuntu-xboxdrv/ubuntu focal InRelease   
Ign:5 http://ftp.halifax.rwth-aachen.de/linuxmint ulyssa InRelease             
Ign:6 http://repo.vivaldi.com/stable/deb stable InRelease                     
OK:7 http://repo.vivaldi.com/stable/deb stable Release                         
OK:8 http://ftp.halifax.rwth-aachen.de/linuxmint ulyssa Release               
Holen:9 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]   
Holen:11 http://ppa.launchpad.net/team-xbmc/ppa/ubuntu focal InRelease [17,5 kB]
Holen:13 http://ftp.uni-mainz.de/ubuntu focal-backports InRelease [101 kB]     
Holen:14 http://ftp.uni-mainz.de/ubuntu focal-updates/main i386 Packages [480 kB]
Holen:15 http://ftp.uni-mainz.de/ubuntu focal-updates/main amd64 Packages [988 kB]
Holen:16 http://ppa.launchpad.net/team-xbmc/ppa/ubuntu focal/main Sources [47,7 kB]
Holen:17 http://ftp.uni-mainz.de/ubuntu focal-updates/main amd64 DEP-11 Metadata [263 kB]
Holen:18 http://ftp.uni-mainz.de/ubuntu focal-updates/main amd64 c-n-f Metadata [13,4 kB]
Holen:19 http://ftp.uni-mainz.de/ubuntu focal-updates/restricted amd64 Packages [226 kB]
Holen:20 http://ftp.uni-mainz.de/ubuntu focal-updates/restricted amd64 c-n-f Metadata [436 B]
Holen:21 http://ftp.uni-mainz.de/ubuntu focal-updates/universe i386 Packages [573 kB]
Holen:22 http://security.ubuntu.com/ubuntu focal-security/main i386 Packages [237 kB]
Holen:23 http://ftp.uni-mainz.de/ubuntu focal-updates/universe amd64 Packages [777 kB]
Holen:24 http://ftp.uni-mainz.de/ubuntu focal-updates/universe amd64 DEP-11 Metadata [323 kB]
Holen:25 http://ftp.uni-mainz.de/ubuntu focal-updates/universe amd64 c-n-f Metadata [17,5 kB]
Holen:26 http://ftp.uni-mainz.de/ubuntu focal-updates/multiverse amd64 Packages [21,7 kB]
Holen:27 http://ftp.uni-mainz.de/ubuntu focal-updates/multiverse i386 Packages [6.128 B]
Holen:28 http://ftp.uni-mainz.de/ubuntu focal-updates/multiverse amd64 DEP-11 Metadata [2.468 B]
Holen:29 http://ftp.uni-mainz.de/ubuntu focal-updates/multiverse amd64 c-n-f Metadata [604 B]
Holen:30 http://ftp.uni-mainz.de/ubuntu focal-backports/universe amd64 DEP-11 Metadata [1.768 B]
Holen:31 http://ppa.launchpad.net/team-xbmc/ppa/ubuntu focal/main amd64 Packages [32,1 kB]
Holen:32 http://security.ubuntu.com/ubuntu focal-security/main amd64 Packages [664 kB]
Holen:33 http://security.ubuntu.com/ubuntu focal-security/main Translation-en [134 kB]
Holen:34 http://security.ubuntu.com/ubuntu focal-security/main amd64 DEP-11 Metadata [24,5 kB]
Holen:35 http://security.ubuntu.com/ubuntu focal-security/main amd64 c-n-f Metadata [7.668 B]
Holen:36 http://security.ubuntu.com/ubuntu focal-security/restricted amd64 Packages [207 kB]
Holen:37 http://security.ubuntu.com/ubuntu focal-security/restricted Translation-en [30,7 kB]
Holen:38 http://security.ubuntu.com/ubuntu focal-security/restricted amd64 c-n-f Metadata [440 B]
Holen:39 http://security.ubuntu.com/ubuntu focal-security/universe i386 Packages [457 kB]
Holen:40 http://security.ubuntu.com/ubuntu focal-security/universe amd64 Packages [578 kB]
Holen:41 http://security.ubuntu.com/ubuntu focal-security/universe Translation-en [90,1 kB]
Holen:42 http://security.ubuntu.com/ubuntu focal-security/universe amd64 DEP-11 Metadata [58,3 kB]
Holen:43 http://security.ubuntu.com/ubuntu focal-security/universe amd64 c-n-f Metadata [11,3 kB]
Holen:44 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 Packages [19,9 kB]
Holen:45 http://security.ubuntu.com/ubuntu focal-security/multiverse i386 Packages [5.380 B]
Holen:46 http://security.ubuntu.com/ubuntu focal-security/multiverse Translation-en [4.316 B]
Holen:47 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 DEP-11 Metadata [2.468 B]
Holen:48 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 c-n-f Metadata [528 B]
Es wurden 6.653 kB in 3 s geholt (2.092 kB/s).
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Aktualisierung für 7 Pakete verfügbar. Führen Sie »apt list --upgradable« aus, um sie anzuzeigen.
Frage von mir: Was sind das für 7 Pakete? Sind das die Updates, die auch in der Aktualisierungsverwaltung auftauchen?
apt upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete werden aktualisiert (Upgrade):
  initramfs-tools initramfs-tools-bin initramfs-tools-core
  kodi-peripheral-joystick libssl1.1 openssl python3-pil
7 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
Es müssen 2.555 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 246 kB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n]
Wo ist der Unterschied zwischen Update und Upgrade?

Re: Xbox One Wireless Controller installieren
« Antwort #35 am: 19.05.2021, 21:04:29 »
Frage von mir: Was sind das für 7 Pakete? Sind das die Updates, die auch in der Aktualisierungsverwaltung auftauchen?
Das sind jetzt gewöhnliche Aktualisierungen, wie sie immer vorkommen und ja, die tauchen auch in der Aktualisierungsverwaltung auf. Du musst dazu (künftig) nicht das Terminal bemühen. Du kannst die Aktualisierungsverwaltung verwenden. Das Terminal bzw. die Terminalausgaben hier im Rahmen der Unterstützung ersparen uns, dass du Screenshots von grafischen Anwendungen - hier der Aktualisierungsverwaltung - hochladen musst.

Wo ist der Unterschied zwischen Update und Upgrade?
apt update aktualisiert "nur" die Liste der verfügbaren Pakete und erkennt dabei neue Versionen zur Aktualisierung.
apt upgrade führt die Aktualisierungen - nach Zustimmung - erst aus.
Siehe https://wiki.ubuntuusers.de/apt/apt/

Re: Xbox One Wireless Controller installieren
« Antwort #36 am: 19.05.2021, 21:19:08 »
Ich danke dir noch mal ganz herzlich! Und auch noch mal herzlichen Dank an die anderen, vor allem auch an Gibdos.

Re: Xbox One Wireless Controller installieren
« Antwort #37 am: 20.05.2021, 17:04:04 »
Noch eine Ergänzung:
Weiß jemand, wie ich den "alten" Xbox 360 Controller (mit Kabel) verbunden bekomme? Da bin ich auch noch nicht so richtig weiter gekommen. Der blinkt nur.
lsusb
Bus 002 Device 002: ID 8087:8001 Intel Corp.
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:8009 Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 003: ID 045e:028e Microsoft Corp. Xbox360 Controller
Bus 003 Device 005: ID 046d:c52b Logitech, Inc. Unifying Receiver
Bus 003 Device 004: ID 045e:02fe Microsoft Corp. XBOX ACC
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Off-Topic:
Leider kann ich den Eingangspost nicht mehr editieren und dementsprechend auch nicht auf "gelöst" stellen. Gibts dafür eine Lösung? :)

EDIT:
Hab mal selber im Netz geschaut und habs mit dieser Anleitung https://wiki.ubuntuusers.de/XBox-Controller/#source-3 den Xbox 360 Controller zu verbinden mittels:
sudo modprobe joydev
sudo modprobe xpad
Was ich allerdings noch nicht hinbekommen habe, dass die Module beim Start geladen werden. Wenn ich die beiden Einträge in die etc/modules eintrage:
# /etc/modules: kernel modules to load at boot time.
#
# This file contains the names of kernel modules that should be loaded
# at boot time, one per line. Lines beginning with "#" are ignored.
nvidia
nvidia-drm
nvidia-modeset
joydev
xpad
klappt das nicht, nach einem Neustart muss ich die beiden Module per Hand laden. Weiß jemand, was ich falsch mache?
« Letzte Änderung: 20.05.2021, 18:22:37 von Kaluschke »

Re: Xbox One Wireless Controller installieren
« Antwort #38 am: 21.05.2021, 19:31:57 »
Eröffne bitte für dein zweites Problem einen neuen Beitrag.